VUZDevelopers

Get billing invoices

GET
/billing/invoices

Retrieve billing invoices with pagination and filtering

X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Query Parameters

limit?number

Items per page

Range1 <= value <= 100
Default10
page?number

Page number

Range1 <= value
Default1
status?string

Filter by status

Value in

  • "pending"
  • "paid"
  • "failed"
  • "refunded"

Response Body

application/json

curl -X GET "https://example.com/billing/invoices"
{  "invoices": [    {      "id": "string",      "invoiceNumber": "string",      "amountSubtotal": 0,      "amountTax": 0,      "amountTotal": 0,      "currency": "string",      "periodStart": "2019-08-24T14:15:22Z",      "periodEnd": "2019-08-24T14:15:22Z",      "status": "pending",      "paidAt": "2019-08-24T14:15:22Z",      "paymentMethod": "string",      "pdfUrl": "string",      "hostedUrl": "string",      "lineItems": [        {          "description": "string",          "quantity": 0,          "amount": 0        }      ],      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "page": 0,  "limit": 0,  "totalPages": 0}